Problem installing 1password extension on firefox

Hi, I am having problems installing the extension on firefox. I have included a screen shot of the error.


1Password Version: 7.2.1
Extension Version: Not Provided
OS Version: 10.14
Sync Type: Not Provided

Comments

  • rudyrudy

    Team Member

    @squash,

    You're going to want to update your copy of Firefox, as of the 4.7 version of the extension you need to be using Firefox 52.0 or newer.

  • Cannot get Firefox Quantum to install 1Password version 7. !

    1Password 7.2.4
    OS 10.13.6

  • Greetings @RightPerspectives,

    The connection failure message is a different issue, you should find the following helps.

    1. Visit https://1password.com/browsers/firefox/ in a different browser (Safari, Chrome or Internet Explorer) and download the XPI file.
    2. In Firefox visit the page about:addons and if needed select Extensions from the menu down the left hand side.
    3. Drag and drop the XPI file downloaded by step 1. onto this page.

    This allows you to install the signed Firefox extension locally and bypass the issue. You should find everything works after that :smile:

  • @littlebobbytables thanks. I did this yesterday — thought INSIDE firefox. Worked like a charm. (Thank goodness)

  • Mostly we attribute this odd connection failure to aggressive anti-virus software that terminates the connection from underneath Firefox. Why some anti-virus seems to do this or if there are other culprits I cannot say. At least it all ended well :smile:

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file